The Sporum - The Official Spore Forum
  [Search] Search   [Recent Topics] Recent Topics   [Hottest Topics] Hottest Topics   [Members]  Member Listing   [Groups] Back to forum index 
[Login] Login 
Mac Patch 5 / 1.05.001  XML
Forum Index » Spore Mac Help
Author Message
SporeMasterKaliena


Spore Master

Joined: 09/09/2008 23:28:48
Messages: 10032
Location:
Virginia, USA

Offline

Mac Patch 5.1 Released

Please read through this post and if you have an unanswered question or problem with the MAC Patch please post in this thread.

Important: Starting the game for the first time after installing patch 5 may take considerably longer than usual. Do not quit out during this process, as early termination may be associated with the run time errors some users are experiencing.

If you have already got run time errors when loading your game, please see this thread for a fix: http://forum.spore.com/jforum/posts/list/31242.page

Snow Leopard/ATI crash:
Please note that there is a known compatibility issue with Mac users on Snow Leopard who have ATI graphics cards. This is not specific to Spore, and has affected players in a number of gaming communities. Apple is currently investigating a solution.

This crash can occur during Spore gameplay in any stage, but most often will manifest during the creature stage. Affected players should check back, as we’ll post an update if Apple addresses the compatibility issue here.


Manually installing Patch 5:

If you want to install Mac patch 5.1, but your game crashes on startup, manually install the patch by following these steps:

SPORE Patch 5.1 (both DVD and Digital Download installs):

This assumes you already have SporePatch4 but not getting prompted for the latest patch (SporePatch5.1). To check if you are on SporePatch4, look in the file SPORE/SPORE.app/Contents/Info.plist and the CiderBuild number should be 2535.

• 1. Download patch from support site: http://spore.com/updates/SPO3-Update-002535.tgz
• 2. Double click SPO3-Update-002535.tgz to extract patch file
• 3. Double click SPO3-Update-002535.app, browse to your SPORE folder, select SPORE.app and select Update.
• 4. Attempt to start the game after the patch
• 5. If the game still doesn't start
• a) Uninstall SPORE
• b) Reinstall SPORE and start the game but don't allow it to patch.
• c) Restart game and go through autopatching process as far as you can.
• d) In your SPORE/SPORE.app/Contents/Info.plist file, if the CiderBuild number is 2756 then you are done. If the CiderBuild number is 2535 then go back to SPORE Patch 5.1 step #1.

SPORE Galactic Adventures Patch 1.1 (DVD installs only):

• 1. Patch SPORE up to Patch 5.1 (above) if you haven't already
• 2. Download patch from support site: http://spore.com/updates/SPE1-Update-002535-3.0.0.2688_c.tgz
• 3. Double click SPE1-Update-002535-3.0.0.2688_c.tgz to extract patch file
• 4. Double click SPE1-Update-002535-3.0.0.2688_c.app, browse to your SPORE folder, select SPORE Galactic Adventures.app and select Update.
• 5. Attempt to start the game after the patch
• 6. If the game still doesn't start
• a) Uninstall SPORE Galactic Adventures and SPORE
• b) Reinstall SPORE following the instructions starting at SPORE Patch 5.1 step #5b.
• c) Reinstall SPORE Galactic Adventures and start game but don't allow it to patch
• d) Restart game and go through autopatching process as far as you can. If you were not prompted for a patch then go back to SPORE Galactic Adventures Patch 1.1 (DVD installs only) step #2

SPORE Galactic Adventures Patch 1.1 (Digital Download installs only):

• 1. Patch SPORE up to Patch 5.1 (above) if you haven't already
• 2. Download patch from support site: http://spore.com/updates/SPE1-Update-002535-3.0.0.2688_s.tgz
• 3. Double click SPE1-Update-002535-3.0.0.2688_s.tgz to extract patch file
• 4. Double click SPE1-Update-002535-3.0.0.2688_s.app, browse to your SPORE folder, select SPORE Galactic Adventures.app and select Update.
• 5. Attempt to start the game after the patch
• 6. If the game still doesn't start
• a) Uninstall SPORE Galactic Adventures and SPORE
• b) Reinstall SPORE following the instructions starting at SPORE Patch 5.1 step #5b.
• c) Reinstall SPORE Galactic Adventures and start game but don't allow it to patch
• d) Restart game and go through autopatching process as far as you can. If you were not prompted for a patch then go back to SPORE Galactic Adventures Patch 1.1 (Digital Download installs on) step #2

This message was edited 5 times. Last update was at 09/08/2009 22:59:10






Vinzray


Microbe

Joined: 09/25/2008 12:56:27
Messages: 12
Offline

Hello, thanks again for finally releasing patch 5!

I have a concern though. When I launch spore, the main game, it says it's updating its content database. Is this Patch 5 updating, cause it takes quite a long time to finish. =/

I'm pretty unsure what application initiates the patch's update, I started up Galactic Adventures but it did not give me any notice that the patch was downloading or anything...





[WWW] [Yahoo!]
Eochaid1701


GalacticGod

Joined: 09/15/2008 12:39:22
Messages: 16767
Location:
"working."

Offline

It updates the database any time its hidden files get messed with, such as when you delete your preferences. This is where it checks for things like Core Spore, C+C, or asymmetry.
Short answer: If you just got the patch, then a database update is probably in your future.


BB never loses an argument, in the same way that a ten-year-old never loses at CoD because he shuts off the Xbox when things go badly.
cavalier639 wrote: I view Eochaid as a bearded wyvern with a backpack full of grammar books and other odds and ends.
Vinzray


Microbe

Joined: 09/25/2008 12:56:27
Messages: 12
Offline

I haven't gotten the patch yet, I'm on patch 4 right now.

I'll probably just update the patch manually.





[WWW] [Yahoo!]
BoyMac


Microbe

Joined: 03/28/2009 05:42:44
Messages: 50
Location:
Canada

Offline

Eochaid1701 wrote:It updates the database any time its hidden files get messed with, such as when you delete your preferences. This is where it checks for things like Core Spore, C+C, or asymmetry.
Short answer: If you just got the patch, then a database update is probably in your future.


Actually, when this happens between the Spore.app and GA.app when you play on one and then launch the other it makes creations usable from one game to the other.

Being a Mac user is like being a Navy SEAL: a small, elite group of people with access to the most sophisticated technology in the world, who everyone calls on to get the really tough jobs done quickly and efficiently.
aim icon
calfroped


Multicellular

Joined: 03/09/2009 09:13:37
Messages: 118
Offline

IMac, Snow Leopard, ATI Radeon HD 2600 Pro....

Game kept prompting to update.... but didn't.... game kept opening regardless.

Went to link to manually download patch without uninstalling.

Perfect! It works perfect and thank you.

iillll


Microbe

Joined: 09/13/2008 22:19:15
Messages: 58
Offline

thank you for the patch, but my game still crashes???
Ringeltree


Civilized Sporeon

Joined: 05/24/2009 20:32:18
Messages: 1648
Offline

How can you tell if GA patch 1.1 installed correctly?

[WWW]
CloudedThoughts


Civilized Sporeon

Joined: 09/07/2009 04:57:52
Messages: 4614
Location:
Honestly, I don't know, when I was hit on the head I forgot.

Offline

Thanx SMK

calfroped


Multicellular

Joined: 03/09/2009 09:13:37
Messages: 118
Offline

Ringeltree wrote:How can you tell if GA patch 1.1 installed correctly?



d) In your SPORE/SPORE.app/Contents/Info.plist file, if the CiderBuild number is 2756 then you are done. If the CiderBuild number is 2535 then go back to SPORE Patch 5.1 step #1.

It's up there in the notes.
Ringeltree


Civilized Sporeon

Joined: 05/24/2009 20:32:18
Messages: 1648
Offline

That would be Spore Patch 5.1 which you install before GA patch 1.1. How do you tell if GA patch 1.1 was installed correctly?

[WWW]
calfroped


Multicellular

Joined: 03/09/2009 09:13:37
Messages: 118
Offline

Ringeltree wrote:That would be Spore Patch 5.1 which you install before GA patch 1.1. How do you tell if GA patch 1.1 was installed correctly?


I'm sorry.... I just assumed they were the same since Spore Patch 5.1 is for those with GA also and because there has only been two patches since GA.
rgraham666


Microbe

Joined: 08/03/2009 13:18:54
Messages: 12
Offline

Not a compatibility problem but I've been having problems downloading updates since I got Spore about a month ago.

It always asks if I want to download an update. I downloaded the first time it asked, but it failed. There were some errors in the download log. And it told me I had to reinstall Spore, which I did.

I started up Spore again, it asked me to download again and it failed again. I decided 'F it' and kept on going. Spore seemed to work fine so I started playing. It still works fine.

About once a week I try downloading to see if it works and it never does.

Today when I read that the new patch was available I tried to download again. Spore downloaded the failing patch again.

I'm guessing it won't download Patch 5 until Patch 4 is downloaded. Which will never happen because Patch 4 always fails.

So, should I download Patch 5 manually? Or should I download patch 4 manually and then try the automatic download to get Patch 5?

If I posted this in the wrong place I apologize.
Uburian


Microbe

Joined: 04/01/2009 08:11:15
Messages: 31
Location:
In a magnificent arcology

Offline

The patch has worked! Thank you maxis!


For a better galaxy!
[WWW]
EnSabahNur77


Microbe

Joined: 09/10/2009 12:49:18
Messages: 2
Offline

Hi! Spore does not work anymore after patching without any errors or problems.

What I did:
1. Install Spore
2. Install 1st Expansion
3. Install 2nd Expansion (Gal. Adventures)
4. Launch Spore
5. Got update prompt and clicked on Yes/Update to install Patch 5
6. When I launch Spore now the Icon in the Dock is shown and next to it the same Sporeicon appears a few times for a short duration and then it is just closed without any error message or info what happend.

When I launched Gal. Adventures instead of Spore I got another Patchnotification and Gal. Adventures is running without problems so far. But why can't I run the "normal" Spore anymore?
 
Forum Index » Spore Mac Help
Go to:   
 
Powered by JForum 2.1.8 © ( EA Dev Build 2013-06-21 16:12:06 ) JForum Team